<!DOCTYPE html>
<html>
<head>
<title>AWS IP Checker</title>
<style type="text/css">
body, html {
  height: 100%;
  margin: 0;
  font: 400 15px/1.8 "Lato", sans-serif;
  color: #777;
}
.bgimg {
  position: relative;
  opacity: 0.65;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}
.bgimg {
  background: blue;
  height: 100%;
}
.caption {
  position: absolute;
  left: 0;
  top: 40%;
  width: 100%;
  text-align: center;
  color: white;
}
a:link, a:visited, a:hover, a:active {
  color: wheat;
  text-decoration: none;
}
.form {
  width: 300px;
  margin: 0 auto;
}
.form input {
  font-family: "Roboto", sans-serif;
  outline: 0;
  background: #f2f2f2;
  width: 100%;
  border: 0;
  margin: 0 0 15px;
  padding: 15px;
  box-sizing: border-box;
  font-size: 14px;
}
.form button {
  font-family: "Roboto", sans-serif;
  text-transform: uppercase;
  outline: 0;
  background: #4CAF50;
  width: 100%;
  border: 0;
  padding: 15px;
  color: #FFFFFF;
  font-size: 14px;
  -webkit-transition: all 0.3 ease;
  transition: all 0.3 ease;
  cursor: pointer;
}
.form button:hover,.form button:active,.form button:focus {
  background: #43A047;
}
</style>
<script type="text/javascript">
var apiBaseUrl = "REPLACE_ME_LATER_AFTER_SAM_DEPLOY"
function checkIp() {
  var ip = document.getElementById("ip").value
  var apiUrl = apiBaseUrl + "?ip=" + ip
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
      jsonResponse = JSON.parse(xhttp.responseText)
      if (jsonResponse.message === "true") {
        document.getElementById("result").innerHTML = "This is an AWS ip."
      }
      else if (jsonResponse.message === "false") {
        document.getElementById("result").innerHTML = "Not an AWS ip."
      }
      else {
        document.getElementById("result").innerHTML = jsonResponse.message;
      }  
    }
  };
  xhttp.open("GET", apiUrl, true);
  xhttp.send();
}
</script>
</head>
<body>
<div class="bgimg">
  <div class="caption">
  <div class="form">
    <form autocomplete="off" onsubmit="checkIp();return false" class="check-form">
      <input id="ip" type="text" placeholder="Enter IP to check"/>
      <button>Check</button>
    </form>
  <div id="result"></div>
</div>
</body>
</html>
